<template src="./index.htm"></template>

<script>

    import Vue from 'vue';
    import DeleteEntityMixin from '../../../mixins/entities/deleteEntityMixin.js';
    import DataTableComponent from '../../../datatable/DataTableComponent.vue';

    import { categoriesDataTableProps } from '../../../datatable/props/categoriesDataTableProps.js';

    Vue.component('data-table-component', DataTableComponent);

    export default {

        data() {

            return {}
        },

        mixins: [ categoriesDataTableProps, DeleteEntityMixin ],

        methods: {

            editCategory(category) {

                this.$router.push({ name: 'edit', params: { id: category.id } });
            },


            deleteCategory(category) {

                swalConfirm()
                    .then( (result) => {

                        if (result.value) {

                            this.deleteEntityMixin('categories', category.id);
                        }
                    });
            }
        }
    }
</script>